org.apache.storm.generated

## Class DistributedRPCInvocations.result_args

- java.lang.Object
- - org.apache.storm.generated.DistributedRPCInvocations.result_args

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable<DistributedRPCInvocations.result_args>, org.apache.storm.thrift.TBase<DistributedRPCInvocations.result_args,DistributedRPCInvocations.result_args._Fields>, org.apache.storm.thrift.TSerializable
  Enclosing class:
    DistributedRPCInvocations

      public static class DistributedRPCInvocations.result_args
      extends Object
      implements org.apache.storm.thrift.TBase<DistributedRPCInvocations.result_args,DistributedRPCInvocations.result_args._Fields>, Serializable, Cloneable, Comparable<DistributedRPCInvocations.result_args>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DistributedRPCInvocations.result_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<DistributedRPCInvocations.result_args._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `result_args()`
    `result_args(DistributedRPCInvocations.result_args other)` Performs a deep copy on other.
    `result_args(String id, String result)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(DistributedRPCInvocations.result_args other)`
    `DistributedRPCInvocations.result_args` | `deepCopy()`
    `boolean` | `equals(DistributedRPCInvocations.result_args that)`
    `boolean` | `equals(Object that)`
    `DistributedRPCInvocations.result_args._Fields` | `fieldForId(int fieldId)`
    `String` | `get_id()`
    `String` | `get_result()`
    `Object` | `getFieldValue(DistributedRPCInvocations.result_args._Fields field)`
    `int` | `hashCode()`
    `boolean` | `is_set_id()` Returns true if field id is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_result()` Returns true if field result is set (has been assigned a value) and false otherwise
    `boolean` | `isSet(DistributedRPCInvocations.result_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.storm.thrift.protocol.TProtocol iprot)`
    `void` | `set_id_isSet(boolean value)`
    `void` | `set_id(String id)`
    `void` | `set_result_isSet(boolean value)`
    `void` | `set_result(String result)`
    `void` | `setFieldValue(DistributedRPCInvocations.result_args._Fields field, Object value)`
    `String` | `toString()`
    `void` | `unset_id()`
    `void` | `unset_result()`
    `void` | `validate()`
    `void` | `write(org.apache.storm.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<DistributedRPCInvocations.result_args._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### result_args

          public result_args()

    - #### result_args

          public result_args(String id,
                             String result)

    - #### result_args

          public result_args(DistributedRPCInvocations.result_args other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public DistributedRPCInvocations.result_args deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<DistributedRPCInvocations.result_args,DistributedRPCInvocations.result_args._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<DistributedRPCInvocations.result_args,DistributedRPCInvocations.result_args._Fields>`

    - #### get_id

          public String get_id()

    - #### set_id

          public void set_id(String id)

    - #### unset_id

          public void unset_id()

    - #### is_set_id

          public boolean is_set_id()

      Returns true if field id is set (has been assigned a value) and false otherwise

    - #### set_id_isSet

          public void set_id_isSet(boolean value)

    - #### get_result

          public String get_result()

    - #### set_result

          public void set_result(String result)

    - #### unset_result

          public void unset_result()

    - #### is_set_result

          public boolean is_set_result()

      Returns true if field result is set (has been assigned a value) and false otherwise

    - #### set_result_isSet

          public void set_result_isSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(DistributedRPCInvocations.result_args._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<DistributedRPCInvocations.result_args,DistributedRPCInvocations.result_args._Fields>`

    - #### getFieldValue

          public Object getFieldValue(DistributedRPCInvocations.result_args._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<DistributedRPCInvocations.result_args,DistributedRPCInvocations.result_args._Fields>`

    - #### isSet

          public boolean isSet(DistributedRPCInvocations.result_args._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<DistributedRPCInvocations.result_args,DistributedRPCInvocations.result_args._Fields>`

    - #### equals

          public boolean equals(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals(DistributedRPCInvocations.result_args that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo(DistributedRPCInvocations.result_args other)

      Specified by:
        `compareTo` in interface `Comparable<DistributedRPCInvocations.result_args>`

    - #### fieldForId

          public DistributedRPCInvocations.result_args._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<DistributedRPCInvocations.result_args,DistributedRPCInvocations.result_args._Fields>`

    - #### read

          public void read(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.